# $Revision: 1.10 $, $Date: 2002/09/12 09:10:22 $
Summary:	An OpenGL virtual desktop switching program
Summary(pl):	Program przeczajcy wirtualne pulpity wykorzystujcy OpenGL
Name:		3ddesktop
Version:	0.2.3
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://prdownloads.sourceforge.net/desk3d/%{name}-%{version}.tar.gz
URL:		http://desk3d.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glut-devel
BuildRequires:	gtk+-devel
BuildRequires:	imlib2-devel
BuildRequires:	kdelibs-devel >= 3.0.3
BuildRequires:	libstdc++-devel
BuildRequires:	OpenGL-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define 	_noautoreqdep	libGL.so.1 libGLU.so.1

%description
3D-Desktop is a GNOME OpenGL program for switching virtual desktops in
a seamless 3-dimensional manner. The current desktop is mapped into a
fullscreen 3D environment where you may choose other screens. Several
different visualization modes are available. The transition from
working desktop to fullscreen 3D environment is seamless. In other
words when the pager activates you see your current desktop appear to
zoom out to a point in space where you can see your other virtual
desktops allowing you to select another. The best way to understand is
to try it out and get the full effect!

%description -l pl
3D-Desktop jest programem GNOME wykorzystujcym OpenGL, ktry przecza
wirtualne pulpity w pynny, trjwymiarowy sposb. Aktualny pulpit jest
mapowany na penoekranowe rodowisko 3D, gdzie moesz wybra inne
ekrany. Dostpnych jest kilka rnych sposobw wizualizacji.

%prep
%setup -q

%build
cp -f /usr/share/automake/missing .
aclocal
%{__autoconf}
CPPFLAGS="-I/usr/X11R6/include" ; export CPPFLAGS
%configure \
	--with-kde-includes="/usr/X11R6/include" \
	--with-qt-includes="/usr/X11R6/include/qt"
%{__make} OPT=""

%install
rm -rf $RPM_BUILD_ROOT

%{__make} DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/*
%config(noreplace) %verify(not size md5 mtime) %{_sysconfdir}/*
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: 3ddesktop.spec,v $
Revision 1.10  2002/09/12 09:10:22  blues
- 0.2.3 - URL changed, removed included patches, KDE support introduced.
STBR

Revision 1.9  2002/08/12 17:52:46  wiget
- BR libstdc++-devel

Revision 1.8  2002/08/12 17:08:41  wiget
- fix building with other prefix that /usr/local

Revision 1.7  2002/08/12 14:03:04  tiwek
- added missing BR: glut-devel

Revision 1.6  2002/08/12 09:10:21  wiget
- added one missing dir to %%files

Revision 1.5  2002/08/09 15:41:09  wiget
- fix ac_fix.patch
- install new 'missing' script
- add BR imlib2-devel
- allow ./configure finding OpenGL-devel

Revision 1.4  2002/08/08 20:52:15  wolf
- pl desc (someone extend?)

Revision 1.3  2002/08/08 19:09:36  blues
- added autconf patch - some things still to do...

Revision 1.2  2002/08/08 18:52:15  blues
- added DESTDIR patch

Revision 1.1  2002/08/08 18:42:40  blues
- initial release - seems to be really nice, but... I don't have gnome :)
who wants to finish it? :)

